package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttGrpjBase;
import org.apache.ibatis.annotations.Mapper;

/** 沟渠信息 Mapper */
@Mapper
public interface AttGrpjBaseMapper {
    /**
     * 查询沟渠信息列表
     * 
     * @param attGrpjBase 查询条件
     * @return 沟渠信息列表
     */
    public List<AttGrpjBase> selectAttGrpjBaseList(AttGrpjBase attGrpjBase);

    /**
     * 通过沟渠编码查询沟渠信息
     * 
     * @param grpjCode 沟渠编码
     * @return 沟渠信息
     */
    public AttGrpjBase selectAttGrpjBaseById(String grpjCode);

    /**
     * 通过沟渠编码删除沟渠信息
     * 
     * @param grpjCode 沟渠编码
     * @return 影响行数
     */
    public int deleteAttGrpjBaseById(String grpjCode);

    /**
     * 批量删除沟渠信息
     * 
     * @param grpjCodes 沟渠编码数组
     * @return 影响行数
     */
    public int deleteAttGrpjBaseByIds(String[] grpjCodes);

    /**
     * 修改沟渠信息
     * 
     * @param attGrpjBase 沟渠信息
     * @return 影响行数
     */
    public int updateAttGrpjBase(AttGrpjBase attGrpjBase);

    /**
     * 新增沟渠信息
     * 
     * @param attGrpjBase 沟渠信息
     * @return 影响行数
     */
    public int insertAttGrpjBase(AttGrpjBase attGrpjBase);
}
